PATCH: mca 53c9x also needs mca-legacy

PATCH: mca 53c9x also needs mca-legacy

Post by Alan Co » Sun, 16 Feb 2003 21:40:13



diff -u --new-file --recursive --exclude-from /usr/src/exclude linux-2.5.61/drivers/scsi/mca_53c9x.c linux-2.5.61-ac1/drivers/scsi/mca_53c9x.c
--- linux-2.5.61/drivers/scsi/mca_53c9x.c       2003-02-10 18:38:13.000000000 +0000

 #include <linux/blk.h>
 #include <linux/proc_fs.h>
 #include <linux/stat.h>
+#include <linux/mca-legacy.h>

 #include "scsi.h"
 #include "hosts.h"
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in

More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/

 
 
 

1. PATCH: new drivers needing mca-legacy for now

diff -u --new-file --recursive --exclude-from /usr/src/exclude linux-2.5.60-ref/drivers/net/depca.c linux-2.5.60-ac1/drivers/net/depca.c
--- linux-2.5.60-ref/drivers/net/depca.c        2003-02-14 21:21:27.000000000 +0000

 #include <linux/types.h>
 #include <linux/unistd.h>
 #include <linux/ctype.h>
+#include <linux/mca-legacy.h>

 #include <asm/uaccess.h>
 #include <asm/bitops.h>
diff -u --new-file --recursive --exclude-from /usr/src/exclude linux-2.5.60-ref/drivers/net/eexpress.c linux-2.5.60-ac1/drivers/net/eexpress.c
--- linux-2.5.60-ref/drivers/net/eexpress.c     2003-02-14 21:21:26.000000000 +0000

 #include <linux/skbuff.h>
 #include <linux/slab.h>
 #include <linux/mca.h>
+#include <linux/mca-legacy.h>
 #include <linux/spinlock.h>

 #include <asm/system.h>
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in

More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/

2. deleted virthosts..

3. MCA sysfs part V - update smc-mca driver (and updates to API)

4. A print problem

5. {RFC][PATCH] MCA sysfs conversion

6. PPP Setup - tcgetattr: I/O error

7. PATCH: fix fd_mcs build for scsi changes, mca compt

8. backups and cd's

9. MCA patches for Linux 2.0.38?

10. IBM PS/2 MCA Patch?

11. PATCH: fix ibm MCA adapter for new scsi, use mca_legacy for now

12. MCA patch?

13. PATCH: 2.5.40 fix comment in mca